// Gardien1
// OEN170321

const byte yBroPIR = 7;
const byte yBroLED = 13;
const byte yTempsKalib = 10;       // Max 30 secondes

unsigned long gDebutKrono;         
unsigned long gPause = 1000;       //  Max 5000 millis
boolean bOKDetect = true;
boolean bRedemarrerKrono;  

/////////////////////////////
void setup(){
  Serial.begin(9600);
  pinMode(yBroPIR, INPUT);
  pinMode(yBroLED, OUTPUT);
  digitalWrite(yBroPIR, LOW);
  
  Serial.println("** Projet GARDIEN. Calibration du senseur.");
  Serial.print("** Que personne ne bouge. On patiente. ");
    for(int i = 0; i < yTempsKalib; i++) { 
      delay(1000);
      Serial.print(".");
    }
    Serial.println("C'est parti ! ");
    delay(50);
  }

////////////////////////////
void loop(){
  if(digitalRead(yBroPIR) == LOW) {
    if(bRedemarrerKrono) {
      gDebutKrono = millis(); 
      bRedemarrerKrono = false;
    }
    if(!bOKDetect && ( (millis() - gDebutKrono) > gPause) ) {
      bOKDetect = true; 
      delay(50);
      bavarder(1);
    }
  }

  if(digitalRead(yBroPIR) == HIGH) {
    if(bOKDetect) {  
      bavarder(0);
      Serial.println("Alarme ! Alarme ! Alarme ! ");
      delay(50);
      bOKDetect = false;            
    }         
    bRedemarrerKrono = true;
  }
}

void bavarder(byte bType) {
  if (bType == 0) {
    Serial.println("---");
    Serial.print("Quelque chose bouge. Instant : ");
    Serial.print(millis()/1000);
    Serial.println(" secondes"); 
  }
  if (bType == 1) {
      Serial.print("Le calme est revenu au bout de : ");
      Serial.print((millis() - gPause)/1000);
      Serial.println(" secondes");
  }
}

