// Tokante
// OEN170331

#include <LiquidCrystal.h>
#include <RTClib.h>

#define LIG1 0
#define LIG2 1

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
RTC_DS1307 rtc;

const byte RETROECL = 10;
char jourSemaine[7][5] = {"Dim.", "Lun.", "Mar.", "Mer.", 
                          "Jeu.", "Ven.", "Sam."};
byte yMois, yJour, yH, yM, yS;

void setup() {
  lcd.begin(16, 2);
  Serial.begin(9600);
  if (! rtc.begin()) {
    lcd.println("Module RTC introuvable!");
    while (1);
  }
}

void loop() {
  DateTime oDaH = rtc.now();

  lcd.setCursor(0, LIG1);
  lcd.print(oDaH.year(), DEC);
  lcd.print('/');
  yMois = oDaH.month();
  if (yMois <10)   lcd.print('0');
  lcd.print(yMois, DEC);
  lcd.print('/');
  yJour = oDaH.day();
  if (yJour <10)   lcd.print('0');
  lcd.print(yJour, DEC);
  lcd.print(" ");
  lcd.print(jourSemaine[oDaH.dayOfTheWeek()]);

  lcd.setCursor(4, LIG2);
  yH = oDaH.hour();
  if (yH <10)   lcd.print('0');
  lcd.print(oDaH.hour(), DEC);
  lcd.print(':');
  yM = oDaH.minute();
  if (yM <10)   lcd.print('0');
  lcd.print(oDaH.minute(), DEC);
  lcd.print(':');
  yS = oDaH.second();
  if (yS <10)   lcd.print('0');
  lcd.print(oDaH.second(), DEC);
  delay(1000);
//  lcd.clear();
}

